summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* app-emulation/vmware-player: Remove oldAndreas K. Huettel (dilfridge)2015-09-082-264/+0
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-workstation: Fix headerAndreas K. Huettel (dilfridge)2015-09-082-2/+2
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-workstation: Remove oldAndreas K. Huettel (dilfridge)2015-09-082-498/+0
| | | | Package-Manager: portage-2.2.20.1
* Fix local checkoutpathAndreas K. Huettel (dilfridge)2015-09-082-2/+2
|
* app-emulation/vmware-vix: Sync with main treeAndreas K. Huettel (dilfridge)2015-09-051-2/+2
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-workstation: Sync with main treeAndreas K. Huettel (dilfridge)2015-09-055-7/+10
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-tools: Sync with main treeAndreas K. Huettel (dilfridge)2015-09-052-2/+2
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-player: Sync with main treeAndreas K. Huettel (dilfridge)2015-09-053-3/+3
| | | | Package-Manager: portage-2.2.20.1
* app-emulation/vmware-modules: Sync with main treeAndreas K. Huettel (dilfridge)2015-09-054-6/+6
| | | | Package-Manager: portage-2.2.20.1
* some fixes/cleanups for vmware playerEvan Teran2015-08-121-4/+20
| | | | Package-Manager: portage-2.2.20
* fixing issue from: https://github.com/gentoo/vmware/issues/7Evan Teran2015-08-122-2/+8
| | | | | | | | | Despite /etc/vmware/config telling it to look for the libs in /opt/vmware/lib, it still insisted in looking in /usr/lib/vmware. So a symlink solves the issue fairly cleanly. Also added a minor improvement to the build Package-Manager: portage-2.2.20
* updating toolsEvan Teran2015-08-122-0/+60
| | | | Package-Manager: portage-2.2.20
* cleaning up the ebuild slightlyEvan Teran2015-08-121-9/+8
| | | | Package-Manager: portage-2.2.20
* Merge branch 'stepping-stone-feature/ovftool'Evan Teran2015-08-122-2/+17
|\
| * Merge branch 'feature/ovftool' of git://github.com/stepping-stone/vmware ↵Evan Teran2015-08-122-2/+17
|/| | | | | | | into stepping-stone-feature/ovftool
| * Added support for the installation of the ovftool.Christian Affolter2015-08-032-2/+17
| | | | | | | | | | Most of the code was taken from the app-emulation/vmware-workstation ebuild originating from the same overlay.
* | Merge branch 'stepping-stone-feature/systemd'Evan Teran2015-08-123-1/+32
|\ \ | |/ |/|
| * Added systemd service support for app-emulation/vmware-playerChristian Affolter2015-08-043-1/+32
|/ | | | | | | | | | | Created two systemd service unit files according to the existing OpenRC init script: * vmware-usbarbitrator.service manages the VMware USB Arbitrator * vmware-network.service manages the VMware host network It was decided to split the existing OpenRC init script, in order to have a better dependency handling and to adhere to Gentoo's Systemd/Ebuild policy.
* Merge branch 'master' of git://git.gentoo.org/proj/vmwareEvan Teran2015-07-233-0/+97
|\
| * Merge remote-tracking branch 'gogo/master'Andreas K. Huettel (dilfridge)2015-07-1922-2/+839
| |\
| | * adding one last missing fileEvan Teran2015-07-181-0/+55
| | |
| * | Add some helper scriptsAndreas K. Huettel (dilfridge)2015-07-192-0/+42
| | |
* | | adding correct init scripts to the ebuildsEvan Teran2015-07-233-3/+3
| |/ |/| | | | | Package-Manager: portage-2.2.20
* | addressing comments from bug #531682, hopefully this resolves themEvan Teran2015-07-1910-0/+425
| |
* | addressing concerns from bug 531682. Hopefully this resolves themEvan Teran2015-07-1911-2/+359
|/ | | | Package-Manager: portage-2.2.20
* added some comments for patchesEvan Teran2015-07-1412-0/+15
| | | | Package-Manager: portage-2.2.20
* adding missing files for version bumpEvan Teran2015-07-144-0/+655
|
* version bump for vmware-workstation 11 and associated player/modulesEvan Teran2015-07-142-0/+245
| | | | Package-Manager: portage-2.2.20
* fixing udev rules needing some quotesEvan Teran2015-07-063-11/+11
| | | | Package-Manager: portage-2.2.20
* cleaning out ebuilds replaced by newer verions (last release was a security ↵Evan Teran2015-07-0611-1594/+3
| | | | | | | | | patch, so fairly important that we don't new installs of old versions i presume?) fixed up dependancies of vmware-vsphere ebuild to please repoman :-P Package-Manager: portage-2.2.20
* version bump for workstation 10Evan Teran2015-07-062-0/+501
|
* version bump for toolsEvan Teran2015-07-062-0/+67
| | | | Package-Manager: portage-2.2.20
* adding the player that matches workstation 11Evan Teran2015-07-063-0/+492
| | | | Package-Manager: portage-2.2.20
* version bump for vmware-workstation 10 and 3.19/4.0 kernel supportEvan Teran2015-07-0611-18/+264
| | | | Package-Manager: portage-2.2.20
* fixing manifest?Evan Teran2015-07-061-1/+1
| | | | Package-Manager: portage-2.2.20
* adding newer vmware tools tooEvan Teran2015-07-062-0/+60
| | | | Package-Manager: portage-2.2.20
* adding some minor patches that were applied to previous versionsEvan Teran2015-07-064-0/+153
| | | | | | probably not 100% necessary, but they don't hurt either Package-Manager: portage-2.2.20
* fixing init script nameEvan Teran2015-07-061-0/+0
| | | | Package-Manager: portage-2.2.20
* ebuild for vmware workstation 11.1 shoudl work on kernels 3.10 - 4.0Evan Teran2015-07-063-0/+542
| | | | Package-Manager: portage-2.2.20
* working on vmware-workstation 11 support :-)Evan Teran2015-07-0619-0/+854
| | | | Package-Manager: portage-2.2.20
* Remove open-vm-tools-kmod; the main tree is more up to dateMike Gilbert2015-05-104-121/+0
|
* Use version dependency for libgcrypt (otherwise stable users get a blocker), ↵Andreas K. Huettel (dilfridge)2015-05-101-5/+5
| | | | | | update to EAPI=5 Package-Manager: portage-2.2.18
* Merge pull request #1 from realnc/workstation-10.0.5Andreas K. Hüttel2015-05-106-0/+691
|\ | | | | Workstation 10.0.5
| * app-emulation/vmware-workstation: Add /etc/revdep-rebuilt dir maskNikos Chantziaras2015-03-061-0/+5
| |
| * Add workstation 10.0.5 plus modules and toolsNikos Chantziaras2015-03-066-0/+686
| | | | | | | | | | | | | | The userns patch needed a small modification. Workstation now depends on the correct tiff, libgcrypt, openssl and libpng slots.
* | trying to fix vsock's usage of VMCI interface, previous patch compiled... ↵Evan Teran2015-05-063-37/+25
| | | | | | | | | | | | | | but was broken as demonstrated by trying to do a VMWARE automatted install. This new patch looks better but needs to be tested
* | looks like this patch was missing a portion, my badEvan Teran2015-05-051-0/+15
| | | | | | | | Package-Manager: portage-2.2.18
* | 271 should now compile (and I beleive function correctly) on 3.19Evan Teran2015-05-058-1/+195
|/ | | | | | I'll look into 4.x soon Package-Manager: portage-2.2.18
* Version bumpAndreas K. Huettel (dilfridge)2014-10-161-0/+107
|
* seems that NET_NAME_USER is more appropriate than NET_NAME_UNKNOWNEvan Teran2014-10-132-2/+2
| | | | | | adjusting patches Package-Manager: portage-2.2.8-r2